# Created by pyp2rpm-3.3.2
%bcond_without check
%global pypi_name wstools

Name:           python-%{pypi_name}
Version:        0.4.8
Release:        1%{?dist}
Summary:        WSDL parsing services package for Web Services for Python

License:        BSD
URL:            https://github.com/pycontribs/wstools
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr) >= 1.10
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools) >= 17.1
BuildRequires:  python3dist(six)

%description
WSDL parsing services package for Web Services for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
WSDL parsing services package for Web Services for Python.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
%{__python3} -m pytest -v
%endif

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Apr 10 20:33:58 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.8-1
- Initial package.
